package com.dev.swms.server.model.base;

import com.dev.energy.server.model.Entity;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.EqualsBuilder;

public class TransportationType extends Entity {
	/**
	 * @Description：车辆类型
	 * @author  dev
	 * @Date：2009-2-11
	 */
	private static final long serialVersionUID = 1L;
	private String code; //(分类代码);
	private String name; //(分类名称);
	private double weight; //(额定载重);
	private double volume; //(额定体积);
	private double power; //(发动机功率);
	private String fuel; //(燃料类型);
	private double length; //(长);
	private double width; //(宽);
	private double height; //(高);
	private boolean disabled = false; //是否失效
	private String description; //描述
	
	public boolean equals(final Object other) {
		if (!(other instanceof TransportationType))
			return false;
		TransportationType castOther = (TransportationType) other;
		return new EqualsBuilder().append(code, castOther.code).isEquals();
	}

	public int hashCode() {
		return new HashCodeBuilder().append(code).toHashCode();
	}
	
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public boolean isDisabled() {
		return disabled;
	}
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	public String getFuel() {
		return fuel;
	}
	public void setFuel(String fuel) {
		this.fuel = fuel;
	}
	public double getHeight() {
		return height;
	}
	public void setHeight(double height) {
		this.height = height;
	}
	public double getLength() {
		return length;
	}
	public void setLength(double length) {
		this.length = length;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public double getPower() {
		return power;
	}
	public void setPower(double power) {
		this.power = power;
	}
	public double getVolume() {
		return volume;
	}
	public void setVolume(double volume) {
		this.volume = volume;
	}
	public double getWeight() {
		return weight;
	}
	public void setWeight(double weight) {
		this.weight = weight;
	}
	public double getWidth() {
		return width;
	}
	public void setWidth(double width) {
		this.width = width;
	}

}
